Skip to main content
GET
/
import
/
extracts
List import extracts
curl --request GET \
  --url https://api.prequel.co/import/extracts \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "extracts": [
      {
        "id": "<string>",
        "dataset_id": "<string>",
        "submitted_at": "<string>",
        "started_at": "2023-11-07T05:31:56Z",
        "ended_at": "2023-11-07T05:31:56Z",
        "records_processed": 123,
        "records_existing_updated": 123,
        "records_existing_unchanged": 123,
        "records_existing_deleted": 123,
        "records_new_inserted": 123,
        "records_errored": 123,
        "error": {
          "error_code": "<string>",
          "title": "<string>",
          "blame": "<string>",
          "documentation_url": "<string>",
          "trace": "<string>",
          "message": "<string>"
        }
      }
    ]
  },
  "message": "<string>",
  "has_next": true,
  "next_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

dataset_id
string

Filter by dataset ID.

page_size
integer

Number of items to return per page.

order
enum<string>

Sort order for items

Available options:
asc,
desc
cursor
string

Used for pagination - represents last page seen. Value is included in response when there is a next page.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required
has_next
boolean
required

Whether there are more items beyond this page.

next_url
string

Full URL to fetch the next page. Only present when has_next is true.